Bug 1103393 - plymouth takes LUKS password only from VT, not serial console
Summary: plymouth takes LUKS password only from VT, not serial console
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 23
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-31 01:39 UTC by Laszlo Ersek
Modified: 2016-12-20 12:48 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 12:48:33 UTC


Attachments (Terms of Use)
plymouth-debug.log (12.39 KB, text/plain)
2014-05-31 01:39 UTC, Laszlo Ersek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1172740 None None None Never
Red Hat Bugzilla 1344141 None None None Never

Internal Trackers: 1172740 1344141

Description Laszlo Ersek 2014-05-31 01:39:07 UTC
Created attachment 901018 [details]
plymouth-debug.log

* Description of problem:
On the kernel command line, I pass

console=tty console=ttyS0,115200n8

I have an encrypted (LUKS+LVM) disk (prepared by anaconda).
- Plymouth displays the password prompt on both the serial console and the monitor (ie. VT).
- When I type on the normal (directly attached, USB) keyboard, the asterisks **** are displayed on both terminals correctly (serial and VT). If I complete the password, the system boots OK.
- When I type on the serial console, no asterisks appear on either terminal; keyboard input over serial console is lost.

Serial console works correctly in grub2 and at the login prompt; so I can choose both before plymouth and after plymouth what I want to boot and how I want to log in, using either the serial console or the USB keyboard + normal monitor.

The problem is that plymouth doesn't let me choose where I want to enter the LUKS password; it forces me to use the USB keyboard.

* Version-Release number of selected component (if applicable):
plymouth-0.8.9-3.2013.08.14.fc20.x86_64

* How reproducible:
100%

* Steps to Reproduce:
1. install F20 with LUKS+LVM (as offered by anaconda)
2. set "console=tty console=ttyS0,115200n8" in GRUB_CMDLINE_LINUX_DEFAULT in /etc/default/grub
3. run grub2-mkconfig -o /boot/grub2/grub.cfg
4. reboot
5. try to enter the LUKS password on the serial console when prompted

* Actual results:
keyboard input from the serial console has no effect

* Expected results:
password should be accepted and reported back with ****

* Additional info:
- I tried enabling verbose mode at the password prompt (using the USB keyboard, Ctrl+V), it didn't help; the serial console remained dead (for input of course; output **** works fine, when typing on the VT).
- Attaching debug log.

Comment 1 Laszlo Ersek 2014-05-31 02:05:07 UTC
If I remove "console=tty" and only keep "console=ttyS0,115200n8", then plymouth takes the LUKS password from the serial console fine. However in this case I can't enter the LUKS password using the normal (USB) keyboard of course.

Comment 2 Michael Kalisz 2014-10-31 00:14:52 UTC
Yes, it does work by specifying only "console=ttyS0,115200n8" but only on the serial console.

However I noticed that on centos 7 that "console=tty0 console=ttyS0,115200" will let you enter the LUKS password on both consoles.

Any reason why this shouldn't work the same on Fedora 20?

Comment 3 Laszlo Ersek 2014-11-03 13:23:48 UTC
(Sorry, my setup has changed and I can't test your suggestion, ie.

"console=tty0 console=ttyS0,115200" instead of
"console=tty console=ttyS0,115200"

because my box in question is now headless (serial only). Thanks!)

Comment 4 Michael Kalisz 2014-11-03 16:48:26 UTC
Alternative suggestion to test this:

If you have a kvm server (headless) you can always run and can ssh to it

You can run:

virt-viewer -c 'qemu+ssh://<user>@<kvmserver>/system' <vmname>

or virt-manager to simulate this behavior.

Comment 5 Stephan Mueller 2015-03-09 08:24:17 UTC
This is still the case for F21

Comment 6 Fedora End Of Life 2015-05-29 11:59:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Michael Kalisz 2015-05-31 18:22:49 UTC
This is still the case for fedora 22

Comment 8 Fedora End Of Life 2015-06-29 20:53:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 redhatcom 2015-09-29 21:31:29 UTC
Bump.

This happens to me as well.

Comment 10 Strahil Nikolov 2016-03-25 10:03:27 UTC
Dear Friends,

I suffer from the same bug in Fedora SecurityLab 23 x86_64. When I use "console=ttyS0,38400n8" everything is perfect. I can type my LUKS password, select kernel, etc.

If I add "console=tty0" to the above kernel parameters, I can type my password only on tty0 (virt-viewer)

Comment 11 Jon Masters 2016-04-30 07:46:05 UTC
This is still a problem in F23. It's probably still a problem in F24. It's a significant problem for server users who happen to have a graphic head too.

Comment 12 Fedora End Of Life 2016-11-24 11:10:32 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2016-12-20 12:48:33 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.